RHEL 5 / 6:java-1.6.0-openjdk (RHSA-2014:0097)

medium Nessus Plugin ID 72161
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Red Hat 主機缺少一個或多個安全性更新。

描述

現已提供適用於 Red Hat Enterprise Linux 5 和 6 的更新版 java-1.6.0-openjdk 套件,可修正多個安全性問題。

Red Hat 安全性回應團隊已將此更新評等為具有重要安全性影響。可針對每個弱點從〈參照〉一節的 CVE 連結中取得常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。

這些套件提供 OpenJDK 6 Java Runtime Environment 與 OpenJDK 6 Java Software Development Kit。

在 2D 元件的字型配置引擎中發現輸入驗證瑕疵。處理特製的字型檔時,可觸發 Java 虛擬機器記憶體損毀。未受信任的 Java 應用程式或 applet 可能利用此瑕疵繞過 Java Sandbox 限制。(CVE-2013-5907)

在 OpenJDK 的 CORBA 和 JNDI 元件中發現多個權限檢查不當問題。未受信任的 Java 應用程式或 applet 可利用這些瑕疵繞過 Java Sandbox 限制。
(CVE-2014-0428、CVE-2014-0422)

在 OpenJDK 的 Serviceability、Security、CORBA、JAAS、JAXP 和 Networking 元件中發現多個不當權限檢查問題。未受信任的 Java 應用程式或 applet 可利用這些瑕疵,繞過特定 Java Sandbox 限制。(CVE-2014-0373、CVE-2013-5878、CVE-2013-5910、CVE-2013-5896、CVE-2013-5884、CVE-2014-0416、CVE-2014-0376、CVE-2014-0368)

據發現,Beans 元件未限制 XML 外部實體的處理。此瑕疵可導致使用 Beans 的 Java 應用程式洩漏敏感資訊,或是影響應用程式可用性。(CVE-2014-0423)

據發現,TLS/SSL 交握期間 JSSE 元件可洩漏計時資訊。這可導致洩漏使用過之加密金鑰的相關資訊。
(CVE-2014-0411)

建議所有 java-1.6.0-openjdk 使用者皆升級至這些更新版套件,其可解決這些問題。所有執行中的 OpenJDK Java 執行個體都必須重新啟動,更新才能生效。

解決方案

更新受影響的套件。

另請參閱

https://access.redhat.com/errata/RHSA-2014:0097

https://access.redhat.com/security/cve/cve-2014-0368

https://access.redhat.com/security/cve/cve-2014-0411

https://access.redhat.com/security/cve/cve-2013-5878

https://access.redhat.com/security/cve/cve-2013-5910

https://access.redhat.com/security/cve/cve-2014-0416

https://access.redhat.com/security/cve/cve-2014-0373

https://access.redhat.com/security/cve/cve-2013-5907

https://access.redhat.com/security/cve/cve-2013-5884

https://access.redhat.com/security/cve/cve-2013-5896

https://access.redhat.com/security/cve/cve-2014-0428

https://access.redhat.com/security/cve/cve-2014-0422

https://access.redhat.com/security/cve/cve-2014-0376

https://access.redhat.com/security/cve/cve-2014-0423

https://access.redhat.com/security/cve/cve-2013-4578

Plugin 詳細資訊

嚴重性: Medium

ID: 72161

檔案名稱: redhat-RHSA-2014-0097.nasl

版本: 1.17

類型: local

代理程式: unix

已發布: 2014/1/28

已更新: 2021/1/14

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Critical

基本分數: 10

媒介: AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS v3

風險因素: Medium

基本分數: 5.3

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

弱點資訊

CPE: p-cpe:/a:redhat:enterprise_linux:java-1.6.0-openjdk, p-cpe:/a:redhat:enterprise_linux:java-1.6.0-openjdk-debuginfo, p-cpe:/a:redhat:enterprise_linux:java-1.6.0-openjdk-demo, p-cpe:/a:redhat:enterprise_linux:java-1.6.0-openjdk-devel, p-cpe:/a:redhat:enterprise_linux:java-1.6.0-openjdk-javadoc, p-cpe:/a:redhat:enterprise_linux:java-1.6.0-openjdk-src, cpe:/o:redhat:enterprise_linux:5, cpe:/o:redhat:enterprise_linux:6, cpe:/o:redhat:enterprise_linux:6.5

必要的 KB 項目: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

修補程式發佈日期: 2014/1/27

弱點發布日期: 2014/1/15

參考資訊

CVE: CVE-2013-4578, CVE-2013-5878, CVE-2013-5884, CVE-2013-5896, CVE-2013-5907, CVE-2013-5910, CVE-2014-0368, CVE-2014-0373, CVE-2014-0376, CVE-2014-0411, CVE-2014-0416, CVE-2014-0422, CVE-2014-0423, CVE-2014-0428

RHSA: 2014:0097